Index: main/rtp.c
===================================================================
--- main/rtp.c	(revision 84549)
+++ main/rtp.c	(working copy)
@@ -737,6 +737,10 @@
 		resp = 'A' + (event - 12);
 	} else if (event < 17) {	/* Event 16: Hook flash */
 		resp = 'X';	
+	} else {
+		/* If we get here, it's not a valid DTMF digit, but other rfc2833 event we won't try to handle as DTMF */
+		ast_log(LOG_DEBUG, "Ignoring RTP 2833 Event: %08x. Not a DTMF Digit.\n",event);
+		return &ast_null_frame;
 	}
 
 	if (ast_test_flag(rtp, FLAG_DTMF_COMPENSATE)) {
